
StocksAndFisheriesKB - Bug #12418

Missing tags for areas

Sep 07, 2018 04:43 PM - Aureliano Gentile

Status: Closed Start date: Sep 07, 2018

Priority: Normal Due date:  

Assignee: Luca Frosini % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: GRSF   

Description

It seems that some area tags are missing, in example a tag for division Northwest Coast of Scotland and North Ireland or as the

West of Scotland (Division 27.6.a). See also attached image.

This has been noticed in this record http://data.d4science.org/ctlg/GRSF_Admin/a45df585-b8c0-3d33-99a6-36c07a02e918 

Related issues:

Blocked by StocksAndFisheriesKB - Feature #17695: Truncate the tags longer th... Closed Oct 09, 2019

History

#1 - Sep 07, 2018 05:06 PM - Luca Frosini

- Assignee changed from Luca Frosini to Yannis Marketakis

#2 - Sep 07, 2018 05:17 PM - Luca Frosini

@aureliano.gentile@fao.org I added @marketak@ics.forth.gr as assignee so he can investigate such issue in KB. 

@aureliano.gentile@fao.org please remember that tags are created if and only if there is at least a record associated with. If there is no record for

this area the missing tag is perfectly fine, so please close the ticket. 

If you think that even there is no associated record for an area you want to have the tag this is a new feature and you have to create a new ticket

(tracker type Feature) describing it.

#3 - Sep 11, 2018 08:37 AM - Yannis Marketakis

I think that the request has to do with the fact that although 27.6.a appears as an assessment area, it does not appear in the tags. While other

assessment areas do. Is that correct @aureliano.gentile@fao.org  ?

@luca.frosini@isti.cnr.it do all assessment areas appear as tags ?

#4 - Sep 11, 2018 08:38 AM - Yannis Marketakis

- Status changed from New to In Progress

#5 - Sep 11, 2018 01:20 PM - Aureliano Gentile

- File 27.6.a-assessmentarea-code.jpg added

@luca.frosini@isti.cnr.it I do not close this ticket since what I am saying is correct.

@marketak@ics.forth.gr and @luca.frosini@isti.cnr.it  "yes, correct" to your question: my understanding that tags have been created for all mentioned

species, areas, gears. For this record http://data.d4science.org/ctlg/GRSF_Admin/a45df585-b8c0-3d33-99a6-36c07a02e918 the attached image

shows the area code 27.6.a, the code is also properly reported in the GRSF record title. So the assessment area 27.6.a is properly associated to the

record itself.

The ticket is highlighting that for whatever reason the corresponding tag has not been created similarly to other area tags, e.g. "Code 27.6.b System

FAO Name Rockall Division 27.6.b".

#6 - Sep 11, 2018 01:21 PM - Aureliano Gentile

Yannis Marketakis wrote:

I think that the request has to do with the fact that although 27.6.a appears as an assessment area, it does not appear in the tags. While other

assessment areas do. Is that correct @aureliano.gentile@fao.org  ?

@luca.frosini@isti.cnr.it do all assessment areas appear as tags ?

 YES correct for all species, areas, gears, presumably all in this page 

May 02, 2025 1/3

http://data.d4science.org/ctlg/GRSF_Admin/a45df585-b8c0-3d33-99a6-36c07a02e918
http://data.d4science.org/ctlg/GRSF_Admin/a45df585-b8c0-3d33-99a6-36c07a02e918


https://bluebridge.d4science.org/group/grsf_admin/data-catalogue?path=/dataset/a45df585-b8c0-3d33-99a6-36c07a02e918

#7 - Oct 03, 2019 12:23 PM - Luca Frosini

- Assignee changed from Yannis Marketakis to Luca Frosini

@marketak@ics.forth.gr can you please provide the JSON of the record so that I can try to update it to investigate such an issue.

#8 - Oct 03, 2019 12:34 PM - Luca Frosini

- Status changed from In Progress to Paused

#9 - Oct 03, 2019 02:05 PM - Yannis Marketakis

- File a45df585-b8c0-3d33-99a6-36c07a02e918.json added

Attached you can find the JSON representation of the record

#10 - Oct 09, 2019 09:17 AM - Luca Frosini

- Status changed from Paused to In Progress

#11 - Oct 09, 2019 09:53 AM - Luca Frosini

GRSF service explicitly skips tags longer than 100 characters. It is a CKAN limit.

The assessment area is in fact 126 characters.

Code: 27.6.a, System: FAO, Name: Northwest Coast of Scotland and North Ireland or as the West of Scotland (Div

ision 27.6.a)

 @aureliano.gentile@fao.org what do I have to do? 

Do I have to truncate the tag? How do I have to truncate? First or latest 100 characters?

Is it possible to reduce the assessment areas string longer than 100 characters?

The issue affects all the records containing assessment area with a string longer than 100 characters.

#12 - Oct 09, 2019 09:53 AM - Luca Frosini

- Assignee changed from Luca Frosini to Aureliano Gentile

#13 - Oct 09, 2019 10:01 AM - Aureliano Gentile

Thanks, I understand the limitation.

Truncating the tag is fine as the code for area/gear/species etc. is at the beginning. So, keep the first 100 characters.

Better not reducing the assessment areas string since it is consulted in full by the users.

#14 - Oct 09, 2019 10:07 AM - Luca Frosini

- Assignee changed from Aureliano Gentile to Luca Frosini

I'm going to add this feature

#15 - Oct 09, 2019 10:07 AM - Luca Frosini

- Blocked by Feature #17695: Truncate the tags longer than 100 characters  added

#16 - Oct 09, 2019 10:08 AM - Luca Frosini

- % Done changed from 0 to 100

#17 - Oct 09, 2019 10:42 AM - Luca Frosini

@aureliano.gentile@fao.org please check if it is fine for you:

https://ckan-d-d4s.d4science.org/dataset/a45df585-b8c0-3d33-99a6-36c07a02e918

#18 - Oct 09, 2019 11:05 AM - Aureliano Gentile

Sorry, but the page is not available to me:

This site can’t be reachedckan-d-d4s.d4science.org took too long to respond.
#19 - Oct 09, 2019 11:47 AM - Luca Frosini

- File Screenshot_2019-10-09 Scomber scombrus Norwegian Sea (Division 27 2 a) Faroe Bank (Subdivision 27 5 b 2) Faroe Plateau (Sub[...].png

added

Here is the screenshot of the full page with the tag highlighted in a red "box"

#20 - Oct 09, 2019 12:04 PM - Aureliano Gentile

I would say that is fine, to make it clear that it is truncated if you can add three dots "..." or equivalent at the end of the characters (i.e. 97 + 3 dots or

equivalent)

#21 - Oct 09, 2019 12:31 PM - Luca Frosini

- File Screenshot_2019-10-09 Catalogue - NextNext.png added

I added the dots. Is it fine?

#22 - Oct 09, 2019 12:49 PM - Aureliano Gentile

Seems perfect!

With thanks, appreciated.

#23 - Oct 09, 2019 02:12 PM - Luca Frosini

- Status changed from In Progress to Closed

I'll deploy the new version of GRSF service in the next days
